package types

/*
	Интерфейс логирования
*/

// ISlog -- интерфейс к логирования
type ISlog interface {
	// Debugf -- отладочный вывод
	Debugf(str string, lst ...interface{})
	// Infof -- информационный дежурный вывод
	Infof(str string, lst ...interface{})
	// Warnf -- вывод предупреждения
	Warnf(str string, lst ...interface{})
	// Errorf -- вывод ошибки
	Errorf(str string, lst ...interface{})
}
